Procurando a documentação anterior?Acesse v1.docs.pluggy.ai
PluggyDocs
GET/smart-transfers/payments/{id}

Recuperar pagamento

Recupera o recurso de pagamento de transferência inteligente pelo seu id

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Responses

200Recuperar um pagamento
object

Pagamento de transferência inteligente

idrequiredstring

Identificador primário de pagamento

preauthorizationIdrequiredstring

Identificador primário de pagamento

statusrequiredstring

Ciclo de um pagamento de Smart Transfer. Mais restrito do que `PaymentIntentStatus`: pagamentos de Smart Transfer operam sob uma pré-autorização já autorizada, portanto, os status de coleta de consentimento (`STARTED`, `ENQUEUED`, `CONSENT_AWAITING_AUTHORIZATION`) e os status de revogação de consentimento (`REJECTED`, `REVOKED`, `CONSUMED`) não se aplicam. - `CONSENT_AUTHORIZED`: o pagamento foi aceito sob a pré-autorização e está pronto para ser processado. - `CONSENT_REJECTED`: a pré-autorização foi rejeitada no momento da execução. - `PAYMENT_PENDING`: o pagamento foi enviado à instituição e está aguardando confirmação. - `PAYMENT_PARTIALLY_ACCEPTED`: o pagamento foi aceito, mas ainda precisa de uma autorização adicional. - `PAYMENT_SETTLEMENT_PROCESSING`: a liquidação está sendo processada. - `PAYMENT_SETTLEMENT_DEBTOR_ACCOUNT`: os fundos foram debitados da conta do pagador; aguardando compensação. - `PAYMENT_COMPLETED`: o pagamento foi confirmado pela instituição. - `PAYMENT_REJECTED`: o pagamento foi rejeitado após o consentimento ter sido autorizado. - `ERROR`: um erro inesperado ocorreu durante o fluxo. - `CANCELED`: o pagamento foi cancelado.

CONSENT_AUTHORIZEDCONSENT_REJECTEDPAYMENT_PENDINGPAYMENT_PARTIALLY_ACCEPTEDPAYMENT_SETTLEMENT_PROCESSINGPAYMENT_SETTLEMENT_DEBTOR_ACCOUNTPAYMENT_COMPLETEDPAYMENT_REJECTEDERRORCANCELED
amountrequirednumber

Valor do pagamento

descriptionstring

Descrição do pagamento

recipientobject | null

Destinatário da transferência. Pode ser nulo até que o pagamento seja associado a um.

Any of:
option 1object

Destinatário de pagamento de conta bancária. Retornado pelos endpoints `/payments/recipients` e incorporado dentro das solicitações de pagamento quando a solicitação tem como alvo um destinatário registrado.

option 2null | null
clientPaymentIdstring

Identificador de pagamento do cliente

createdAtrequiredstring (date-time)

Data em que o pagamento foi criado

updatedAtrequiredstring (date-time)

Data em que o pagamento foi atualizado

errorDetailobject

Detalhe do erro

codestring

Error code. - INFRASTRUCTURE_FAILURE: Indicates a failure in the infrastructure of the institution holding the information or resources. - PAYMENT_DIFFERENT_FROM_CONSENT: Payment data differs from consent data. - UNKNOWN_ERROR: Unknown error. - INVALID_PAYMENT_DETAIL: The payment detail is invalid. - PAYMENT_REJECTED_BY_HOLDER: The payment was rejected by the account holder. - PAYMENT_REJECTED_BY_SPI: The payment was rejected by the SPI.

INFRASTRUCTURE_FAILUREPAYMENT_DIFFERENT_FROM_CONSENTUNKNOWN_ERRORINVALID_PAYMENT_DETAILPAYMENT_REJECTED_BY_HOLDERPAYMENT_REJECTED_BY_SPI
descriptionstring

Error description

detailstring

Error detail

Example response

json
{
  "id": "string",
  "preauthorizationId": "string",
  "status": "CONSENT_AUTHORIZED",
  "amount": 0,
  "description": "string",
  "recipient": {
    "type": "BANK_ACCOUNT",
    "id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
    "name": "Conta empresa",
    "taxNumber": "22222222222",
    "paymentInstitution": {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "Banco J. Safra S.A.",
      "ispb": "03017677",
      "tradeName": "Banco Safra",
      "compe": "074",
      "createdAt": "2020-04-21T15:00:00.000Z",
      "updatedAt": "2020-04-21T15:00:00.000Z"
    },
    "account": {
      "branch": "0001",
      "number": "123456",
      "type": "CHECKING_ACCOUNT"
    },
    "isDefault": false,
    "pixKey": null,
    "createdAt": "2024-01-15T10:30:00.000Z",
    "updatedAt": "2024-01-15T10:30:00.000Z"
  },
  "clientPaymentId": "string",
  "createdAt": "2024-01-01T00:00:00Z",
  "updatedAt": "2024-01-01T00:00:00Z",
  "errorDetail": {
    "code": "INFRASTRUCTURE_FAILURE",
    "description": "string",
    "detail": "string"
  }
}
curl -X GET \
'https://api.pluggy.ai/smart-transfers/payments/{id}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Resposta de exemplo
{
"id": "string",
"preauthorizationId": "string",
"status": "CONSENT_AUTHORIZED",
"amount": 0,
"description": "string",
"recipient": {
"type": "BANK_ACCOUNT",
"id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"name": "Conta empresa",
"taxNumber": "22222222222",
"paymentInstitution": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "Banco J. Safra S.A.",
"ispb": "03017677",
"tradeName": "Banco Safra",
"compe": "074",
"createdAt": "2020-04-21T15:00:00.000Z",
"updatedAt": "2020-04-21T15:00:00.000Z"
},
"account": {
"branch": "0001",
"number": "123456",
"type": "CHECKING_ACCOUNT"
},
"isDefault": false,
"pixKey": null,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
},
"clientPaymentId": "string",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z",
"errorDetail": {
"code": "INFRASTRUCTURE_FAILURE",
"description": "string",
"detail": "string"
}
}